%define pypi_name jinja2-cli

Summary:	Python template engine CLI
Name:		python-jinja2-cli
Version:	0.8.2
Release:	%mkrel 1
License:	BSD
Group:		Development/Python
Url:		https://github.com/mattrobenolt/jinja2-cli
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(jinja2)
Requires:  python3dist(jinja2)

%description
A CLI interface to Jinja2

%prep
%setup -q -n %{pypi_name}-%{version}

# drop bundled egg-info
rm -rf src/*.egg-info

#perl -pi -e 's|\[pytest\]|[tool:pytest]|' setup.cfg

# cleanup
find . -name '*.pyo' -o -name '*.pyc' -delete

%build
%py3_build

%install
%py3_install

%files
%license LICENSE
%doc README*
%{python3_sitelib}/*
%{_bindir}/jinja2


%changelog
* Tue May 10 2022 bcornec <bcornec> 0.8.2-1.mga9
+ Revision: 1857479
- Import jinja2-cli python tool
- Created package structure for python-jinja2-cli.

